aboutsummaryrefslogtreecommitdiff
path: root/dev-python/zope-lifecycleevent
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/zope-lifecycleevent')
-rw-r--r--dev-python/zope-lifecycleevent/Manifest1
-rw-r--r--dev-python/zope-lifecycleevent/metadata.xml22
-rw-r--r--dev-python/zope-lifecycleevent/zope-lifecycleevent-4.4.ebuild53
3 files changed, 76 insertions, 0 deletions
diff --git a/dev-python/zope-lifecycleevent/Manifest b/dev-python/zope-lifecycleevent/Manifest
new file mode 100644
index 0000000..c9c849c
--- /dev/null
+++ b/dev-python/zope-lifecycleevent/Manifest
@@ -0,0 +1 @@
+DIST zope-lifecycleevent-4.4.gh.tar.gz 23205 BLAKE2B 258c01f426c1bfb84fd24ff55d7c130ba9dc78019329ac0a7a95a1931e90808410d82b68bbf4b2c874c64373457bf2b3928a35dd77a0ac9e6c628b23ec5894d0 SHA512 5c6d75c1d072da30baca20f9e3a4b1a81d616017dec6abc9e8e38a6f807b151d47847cc402f2a73d60620956fe5dabecf283352a4205c1e32d7dfa67ee802ba0
diff --git a/dev-python/zope-lifecycleevent/metadata.xml b/dev-python/zope-lifecycleevent/metadata.xml
new file mode 100644
index 0000000..c0935c9
--- /dev/null
+++ b/dev-python/zope-lifecycleevent/metadata.xml
@@ -0,0 +1,22 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <name>Julien Roy</name>
+ <email>julien@jroy.ca</email>
+ </maintainer>
+ <longdescription>
+ In a loosely-coupled system, events can be used by parts of the system to inform each other about relevant occurrences. The zope.event package (optionally together with zope.interface and zope.component) provides a generic mechanism to dispatch objects representing those events to interested subscribers (e.g., functions). This package defines a specific set of event objects and API functions for describing the life-cycle of objects in the system: object creation, object modification, and object removal.
+ </longdescription>
+ <upstream>
+ <maintainer>
+ <name>Zope Foundation and Contributors</name>
+ <email>zope-dev@zope.org</email>
+ </maintainer>
+ <bugs-to>https://github.com/zopefoundation/zope.lifecycleevent/issues</bugs-to>
+ <changelog>https://github.com/zopefoundation/zope.lifecycleevent/blob/master/CHANGES.rst</changelog>
+ <doc>https://zopelifecycleevent.readthedocs.io</doc>
+ <remote-id type="github">zopefoundation/zope.lifecycleevent</remote-id>
+ <remote-id type="pypi">zope.lifecycleevent</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/zope-lifecycleevent/zope-lifecycleevent-4.4.ebuild b/dev-python/zope-lifecycleevent/zope-lifecycleevent-4.4.ebuild
new file mode 100644
index 0000000..dd3a9b1
--- /dev/null
+++ b/dev-python/zope-lifecycleevent/zope-lifecycleevent-4.4.ebuild
@@ -0,0 +1,53 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Events for creation, modification of objects"
+HOMEPAGE="https://github.com/zopefoundation/zope.lifecycleevent"
+SRC_URI="https://github.com/zopefoundation/zope.lifecycleevent/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+S="${WORKDIR}/${PN/-/\.}-${PV}"
+
+LICENSE="ZPL"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/zope-event[${PYTHON_USEDEP}]
+ dev-python/zope-interface[${PYTHON_USEDEP}]
+ doc? (
+ dev-python/repoze-sphinx-autointerface[${PYTHON_USEDEP}]
+ dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]
+ )
+ test? (
+ dev-python/zope-component[${PYTHON_USEDEP}]
+ dev-python/zope-configuration[${PYTHON_USEDEP}]
+ dev-python/zope-testing[${PYTHON_USEDEP}]
+ dev-python/zope-testrunner[${PYTHON_USEDEP}]
+ )
+"
+DEPEND="${RDEPEND}"
+
+distutils_enable_sphinx docs
+distutils_enable_tests unittest
+
+src_prepare() {
+ # strip rdep specific to namespaces
+ sed -i -e "/'setuptools'/d" setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+src_test() {
+ cd "${S}/src/zope/lifecycleevent" || die
+ distutils-r1_src_test
+}